%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(PPI/Document.pm) perl(Test/Exception.pm) perl(Test/MockObject/Extends.pm) perl(Test/More.pm) perl(if.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name MooseX-Documenter
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1.1
Summary: class for getting Moose documentation for your Moose classes
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DS/DSBIKE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provides a simple way to autodocument your Moose modules.  While PPI is good for normal perl class and objects, it does not work for Moose.

This module is intended to help make documentation from your Moose classes.  It will not only document what your Moose classes do but also make it easy to see the relationships between your various Moose classes.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%changelog
* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1.1
- rebuild to restore role requires

* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

